import 'package:dartpoet/dartpoet.dart';

Map<String, dynamic> returnsMap = {
  "getUpdates": TypeToken.ofFullName("List<Update>"),
  "setWebhook": TypeToken.ofBool(),
  "deleteWebhook": TypeToken.ofBool(),
  "getWebhookInfo": TypeToken.ofFullName("WebhookInfo"),
  "getMe": TypeToken.ofFullName("User"),
  "sendMessage": TypeToken.ofFullName("Message"),
  "forwardMessage": TypeToken.ofFullName("Message"),
  "sendPhoto": TypeToken.ofFullName("Message"),
  "sendAudio": TypeToken.ofFullName("Message"),
  "sendDocument": TypeToken.ofFullName("Message"),
  "sendVideo": TypeToken.ofFullName("Message"),
  "sendAnimation": TypeToken.ofFullName("Message"),
  "sendVoice": TypeToken.ofFullName("Message"),
  "sendVideoNote": TypeToken.ofFullName("Message"),
  "sendMediaGroup": TypeToken.ofFullName("Message"),
  "sendLocation": TypeToken.ofFullName("Message"),
  "editMessageLiveLocation": TypeToken.ofFullName("Message"),
  "stopMessageLiveLocation": TypeToken.ofFullName("Message"),
  "sendVenue": TypeToken.ofFullName("Message"),
  "sendContact": TypeToken.ofFullName("Message"),
  "sendPoll": TypeToken.ofFullName("Message"),
  "sendChatAction": TypeToken.ofVoid(),
  "getUserProfilePhotos": TypeToken.ofFullName("UserProfilePhotos"),
  "getFile": TypeToken.ofFullName("TelegramFile"),
  "kickChatMember": TypeToken.ofBool(),
  "unbanChatMember": TypeToken.ofBool(),
  "restrictChatMember": TypeToken.ofBool(),
  "promoteChatMember": TypeToken.ofBool(),
  "setChatAdministratorCustomTitle": TypeToken.ofBool(),
  "setChatPermissions": TypeToken.ofBool(),
  "exportChatInviteLink": TypeToken.ofString(),
  "setChatPhoto": TypeToken.ofBool(),
  "deleteChatPhoto": TypeToken.ofBool(),
  "setChatTitle": TypeToken.ofBool(),
  "setChatDescription": TypeToken.ofBool(),
  "pinChatMessage": TypeToken.ofBool(),
  "unpinChatMessage": TypeToken.ofBool(),
  "leaveChat": TypeToken.ofBool(),
  "getChat": TypeToken.ofFullName("Chat"),
  "getChatAdministrators": TypeToken.ofFullName("List<ChatMember>"),
  "getChatMembersCount": TypeToken.ofInt(),
  "getChatMember": TypeToken.ofFullName("ChatMember"),
  "setChatStickerSet": TypeToken.ofBool(),
  "deleteChatStickerSet": TypeToken.ofBool(),
  "answerCallbackQuery": TypeToken.ofBool(),
  "editMessageText": TypeToken.ofFullName("Message"),
  "editMessageCaption": TypeToken.ofFullName("Message"),
  "editMessageMedia": TypeToken.ofFullName("Message"),
  "editMessageReplyMarkup": TypeToken.ofFullName("Message"),
  "stopPoll": TypeToken.ofFullName("Poll"),
  "deleteMessage": TypeToken.ofBool(),
  "sendSticker": TypeToken.ofFullName("Message"),
  "getStickerSet": TypeToken.ofFullName("StickerSet"),
  "uploadStickerFile": TypeToken.ofFullName("TelegramFile"),
  "createNewStickerSet": TypeToken.ofBool(),
  "addStickerToSet": TypeToken.ofBool(),
  "setStickerPositionInSet": TypeToken.ofBool(),
  "deleteStickerFromSet": TypeToken.ofBool(),
  "answerInlineQuery": TypeToken.ofBool(),
  "sendInvoice": TypeToken.ofFullName("Message"),
  "answerShippingQuery": TypeToken.ofBool(),
  "answerPreCheckoutQuery": TypeToken.ofBool(),
  "setPassportDataErrors": TypeToken.ofBool(),
  "sendGame": TypeToken.ofFullName("Message"),
  "setGameScore": TypeToken.ofFullName("Message"),
  "getGameHighScores": TypeToken.ofFullName("List<GameHighScore>"),
};

Map<String, dynamic> httpMethodMap = {
  "sendPhoto": "POST",
};

Map<String, String> objectsNameMap = {
  "File": "TelegramFile",
};
